0

hifiberry-digi digi+ AARCH64 support | archlinux arm

Hello,

I've an RPI3 and DIGI+ and am struggling with loading the proper kernel module.

The 4.19.1-2-ARCH kernel (mainline) supposedly does not include RPI dt-overlays.

I tried adding 'dtoverlay=hifiberry-digi' to /boot/config.txt with no avail.

# modprobe snd_soc_hifiberry_digi
modprobe: FATAL: Module snd_soc_hifiberry_digi not found in directory /lib/modules/4.19.1-2-ARCH

I realize this is against the whole arch concept, but since I paid for this thing I figured I'd ask before going into a linux hole:

How do I go about loading the kernel module / driver for this thing using the latest arch root filesystem for RPI3 (AARCH64)

1 comment

Please sign in to leave a comment.